package com.xzzn.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * ZSLQ告警故障数据对象 ems_cooling_alarm_data
 *
 * @author xzzn
 * @date 2025-10-22
 */
public class EmsCoolingAlarmData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录唯一ID */
    private Long id;

    /** 数据采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date dataTimestamp;

    /** 站点ID */
    @Excel(name = "站点ID")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    /**  */
    @Excel(name = "")
    private Integer lsjyx;

    /**  */
    @Excel(name = "")
    private Integer pqdcfyx;

    /**  */
    @Excel(name = "")
    private Integer djrq2yx;

    /**  */
    @Excel(name = "")
    private Integer djrq1yx;

    /**  */
    @Excel(name = "")
    private Integer bqbyx;

    /**  */
    @Excel(name = "")
    private Integer bsbyx;

    /**  */
    @Excel(name = "")
    private Integer zxhbyx;

    /**  */
    @Excel(name = "")
    private Integer sltzgz;

    /**  */
    @Excel(name = "")
    private Integer slzhyj;

    /**  */
    @Excel(name = "")
    private Integer slxtyctzxh;

    /**  */
    @Excel(name = "")
    private Integer slxtycqdxh;

    /**  */
    @Excel(name = "")
    private Integer slxtyckz;

    /**  */
    @Excel(name = "")
    private Integer slxtbdkz;

    /**  */
    @Excel(name = "")
    private Integer slxtzdms;

    /**  */
    @Excel(name = "")
    private Integer slxtsdms;

    /**  */
    @Excel(name = "")
    private Integer hsylcdyj;

    /**  */
    @Excel(name = "")
    private Integer hsyldyj;

    /**  */
    @Excel(name = "")
    private Integer gsylcgyj;

    /**  */
    @Excel(name = "")
    private Integer gsylgyj;

    /**  */
    @Excel(name = "")
    private Integer gsylcdyj;

    /**  */
    @Excel(name = "")
    private Integer gsyldyj;

    /**  */
    @Excel(name = "")
    private Integer hcgywg;

    /**  */
    @Excel(name = "")
    private Integer hcgywcdtz;

    /**  */
    @Excel(name = "")
    private Integer hcgywd;

    /**  */
    @Excel(name = "")
    private Integer hcgylg;

    /**  */
    @Excel(name = "")
    private Integer hcgyld;

    /**  */
    @Excel(name = "")
    private Integer lysylgyj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer lysyldyj;

    /**  */
    @Excel(name = "")
    private Integer hswdcgyj;

    /**  */
    @Excel(name = "")
    private Integer hswdgyj;

    /**  */
    @Excel(name = "")
    private Integer gswdcgtz;

    /**  */
    @Excel(name = "")
    private Integer gswdgyj;

    /**  */
    @Excel(name = "")
    private Integer gswddyj;

    /**  */
    @Excel(name = "")
    private Integer ddf2gz;

    /**  */
    @Excel(name = "")
    private Integer ddf1gz;

    /**  */
    @Excel(name = "")
    private Integer lyswdbsqyJ;

    /**  */
    @Excel(name = "")
    private Integer hsylbsqyJ;

    /**  */
    @Excel(name = "")
    private Integer gsylbsqyJ;

    /**  */
    @Excel(name = "")
    private Integer hswdbsqyJ;

    /**  */
    @Excel(name = "")
    private Integer gswdbsqgztz;

    /**  */
    @Excel(name = "")
    private Integer lsjgz;

    /**  */
    @Excel(name = "")
    private Integer djrq2gz;

    /**  */
    @Excel(name = "")
    private Integer djrq1gz;

    /**  */
    @Excel(name = "")
    private Integer bqbgz;

    /**  */
    @Excel(name = "")
    private Integer bsbgz;

    /**  */
    @Excel(name = "")
    private Integer xhbgz;

    /**  */
    @Excel(name = "")
    private Integer zdygz;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDataTimestamp(Date dataTimestamp)
    {
        this.dataTimestamp = dataTimestamp;
    }

    public Date getDataTimestamp()
    {
        return dataTimestamp;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setLsjyx(Integer lsjyx)
    {
        this.lsjyx = lsjyx;
    }

    public Integer getLsjyx()
    {
        return lsjyx;
    }

    public void setPqdcfyx(Integer pqdcfyx)
    {
        this.pqdcfyx = pqdcfyx;
    }

    public Integer getPqdcfyx()
    {
        return pqdcfyx;
    }

    public void setDjrq2yx(Integer djrq2yx)
    {
        this.djrq2yx = djrq2yx;
    }

    public Integer getDjrq2yx()
    {
        return djrq2yx;
    }

    public void setDjrq1yx(Integer djrq1yx)
    {
        this.djrq1yx = djrq1yx;
    }

    public Integer getDjrq1yx()
    {
        return djrq1yx;
    }

    public void setBqbyx(Integer bqbyx)
    {
        this.bqbyx = bqbyx;
    }

    public Integer getBqbyx()
    {
        return bqbyx;
    }

    public void setBsbyx(Integer bsbyx)
    {
        this.bsbyx = bsbyx;
    }

    public Integer getBsbyx()
    {
        return bsbyx;
    }

    public void setZxhbyx(Integer zxhbyx)
    {
        this.zxhbyx = zxhbyx;
    }

    public Integer getZxhbyx()
    {
        return zxhbyx;
    }

    public void setSltzgz(Integer sltzgz)
    {
        this.sltzgz = sltzgz;
    }

    public Integer getSltzgz()
    {
        return sltzgz;
    }

    public void setSlzhyj(Integer slzhyj)
    {
        this.slzhyj = slzhyj;
    }

    public Integer getSlzhyj()
    {
        return slzhyj;
    }

    public void setSlxtyctzxh(Integer slxtyctzxh)
    {
        this.slxtyctzxh = slxtyctzxh;
    }

    public Integer getSlxtyctzxh()
    {
        return slxtyctzxh;
    }

    public void setSlxtycqdxh(Integer slxtycqdxh)
    {
        this.slxtycqdxh = slxtycqdxh;
    }

    public Integer getSlxtycqdxh()
    {
        return slxtycqdxh;
    }

    public void setSlxtyckz(Integer slxtyckz)
    {
        this.slxtyckz = slxtyckz;
    }

    public Integer getSlxtyckz()
    {
        return slxtyckz;
    }

    public void setSlxtbdkz(Integer slxtbdkz)
    {
        this.slxtbdkz = slxtbdkz;
    }

    public Integer getSlxtbdkz()
    {
        return slxtbdkz;
    }

    public void setSlxtzdms(Integer slxtzdms)
    {
        this.slxtzdms = slxtzdms;
    }

    public Integer getSlxtzdms()
    {
        return slxtzdms;
    }

    public void setSlxtsdms(Integer slxtsdms)
    {
        this.slxtsdms = slxtsdms;
    }

    public Integer getSlxtsdms()
    {
        return slxtsdms;
    }

    public void setHsylcdyj(Integer hsylcdyj)
    {
        this.hsylcdyj = hsylcdyj;
    }

    public Integer getHsylcdyj()
    {
        return hsylcdyj;
    }

    public void setHsyldyj(Integer hsyldyj)
    {
        this.hsyldyj = hsyldyj;
    }

    public Integer getHsyldyj()
    {
        return hsyldyj;
    }

    public void setGsylcgyj(Integer gsylcgyj)
    {
        this.gsylcgyj = gsylcgyj;
    }

    public Integer getGsylcgyj()
    {
        return gsylcgyj;
    }

    public void setGsylgyj(Integer gsylgyj)
    {
        this.gsylgyj = gsylgyj;
    }

    public Integer getGsylgyj()
    {
        return gsylgyj;
    }

    public void setGsylcdyj(Integer gsylcdyj)
    {
        this.gsylcdyj = gsylcdyj;
    }

    public Integer getGsylcdyj()
    {
        return gsylcdyj;
    }

    public void setGsyldyj(Integer gsyldyj)
    {
        this.gsyldyj = gsyldyj;
    }

    public Integer getGsyldyj()
    {
        return gsyldyj;
    }

    public void setHcgywg(Integer hcgywg)
    {
        this.hcgywg = hcgywg;
    }

    public Integer getHcgywg()
    {
        return hcgywg;
    }

    public void setHcgywcdtz(Integer hcgywcdtz)
    {
        this.hcgywcdtz = hcgywcdtz;
    }

    public Integer getHcgywcdtz()
    {
        return hcgywcdtz;
    }

    public void setHcgywd(Integer hcgywd)
    {
        this.hcgywd = hcgywd;
    }

    public Integer getHcgywd()
    {
        return hcgywd;
    }

    public void setHcgylg(Integer hcgylg)
    {
        this.hcgylg = hcgylg;
    }

    public Integer getHcgylg()
    {
        return hcgylg;
    }

    public void setHcgyld(Integer hcgyld)
    {
        this.hcgyld = hcgyld;
    }

    public Integer getHcgyld()
    {
        return hcgyld;
    }

    public void setLysylgyj(Integer lysylgyj)
    {
        this.lysylgyj = lysylgyj;
    }

    public Integer getLysylgyj()
    {
        return lysylgyj;
    }

    public void setLysyldyj(Integer lysyldyj)
    {
        this.lysyldyj = lysyldyj;
    }

    public Integer getLysyldyj()
    {
        return lysyldyj;
    }

    public void setHswdcgyj(Integer hswdcgyj)
    {
        this.hswdcgyj = hswdcgyj;
    }

    public Integer getHswdcgyj()
    {
        return hswdcgyj;
    }

    public void setHswdgyj(Integer hswdgyj)
    {
        this.hswdgyj = hswdgyj;
    }

    public Integer getHswdgyj()
    {
        return hswdgyj;
    }

    public void setGswdcgtz(Integer gswdcgtz)
    {
        this.gswdcgtz = gswdcgtz;
    }

    public Integer getGswdcgtz()
    {
        return gswdcgtz;
    }

    public void setGswdgyj(Integer gswdgyj)
    {
        this.gswdgyj = gswdgyj;
    }

    public Integer getGswdgyj()
    {
        return gswdgyj;
    }

    public void setGswddyj(Integer gswddyj)
    {
        this.gswddyj = gswddyj;
    }

    public Integer getGswddyj()
    {
        return gswddyj;
    }

    public void setDdf2gz(Integer ddf2gz)
    {
        this.ddf2gz = ddf2gz;
    }

    public Integer getDdf2gz()
    {
        return ddf2gz;
    }

    public void setDdf1gz(Integer ddf1gz)
    {
        this.ddf1gz = ddf1gz;
    }

    public Integer getDdf1gz()
    {
        return ddf1gz;
    }

    public void setLyswdbsqyJ(Integer lyswdbsqyJ)
    {
        this.lyswdbsqyJ = lyswdbsqyJ;
    }

    public Integer getLyswdbsqyJ()
    {
        return lyswdbsqyJ;
    }

    public void setHsylbsqyJ(Integer hsylbsqyJ)
    {
        this.hsylbsqyJ = hsylbsqyJ;
    }

    public Integer getHsylbsqyJ()
    {
        return hsylbsqyJ;
    }

    public void setGsylbsqyJ(Integer gsylbsqyJ)
    {
        this.gsylbsqyJ = gsylbsqyJ;
    }

    public Integer getGsylbsqyJ()
    {
        return gsylbsqyJ;
    }

    public void setHswdbsqyJ(Integer hswdbsqyJ)
    {
        this.hswdbsqyJ = hswdbsqyJ;
    }

    public Integer getHswdbsqyJ()
    {
        return hswdbsqyJ;
    }

    public void setGswdbsqgztz(Integer gswdbsqgztz)
    {
        this.gswdbsqgztz = gswdbsqgztz;
    }

    public Integer getGswdbsqgztz()
    {
        return gswdbsqgztz;
    }

    public void setLsjgz(Integer lsjgz)
    {
        this.lsjgz = lsjgz;
    }

    public Integer getLsjgz()
    {
        return lsjgz;
    }

    public void setDjrq2gz(Integer djrq2gz)
    {
        this.djrq2gz = djrq2gz;
    }

    public Integer getDjrq2gz()
    {
        return djrq2gz;
    }

    public void setDjrq1gz(Integer djrq1gz)
    {
        this.djrq1gz = djrq1gz;
    }

    public Integer getDjrq1gz()
    {
        return djrq1gz;
    }

    public void setBqbgz(Integer bqbgz)
    {
        this.bqbgz = bqbgz;
    }

    public Integer getBqbgz()
    {
        return bqbgz;
    }

    public void setBsbgz(Integer bsbgz)
    {
        this.bsbgz = bsbgz;
    }

    public Integer getBsbgz()
    {
        return bsbgz;
    }

    public void setXhbgz(Integer xhbgz)
    {
        this.xhbgz = xhbgz;
    }

    public Integer getXhbgz()
    {
        return xhbgz;
    }

    public void setZdygz(Integer zdygz)
    {
        this.zdygz = zdygz;
    }

    public Integer getZdygz()
    {
        return zdygz;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataTimestamp", getDataTimestamp())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("lsjyx", getLsjyx())
                .append("pqdcfyx", getPqdcfyx())
                .append("djrq2yx", getDjrq2yx())
                .append("djrq1yx", getDjrq1yx())
                .append("bqbyx", getBqbyx())
                .append("bsbyx", getBsbyx())
                .append("zxhbyx", getZxhbyx())
                .append("sltzgz", getSltzgz())
                .append("slzhyj", getSlzhyj())
                .append("slxtyctzxh", getSlxtyctzxh())
                .append("slxtycqdxh", getSlxtycqdxh())
                .append("slxtyckz", getSlxtyckz())
                .append("slxtbdkz", getSlxtbdkz())
                .append("slxtzdms", getSlxtzdms())
                .append("slxtsdms", getSlxtsdms())
                .append("hsylcdyj", getHsylcdyj())
                .append("hsyldyj", getHsyldyj())
                .append("gsylcgyj", getGsylcgyj())
                .append("gsylgyj", getGsylgyj())
                .append("gsylcdyj", getGsylcdyj())
                .append("gsyldyj", getGsyldyj())
                .append("hcgywg", getHcgywg())
                .append("hcgywcdtz", getHcgywcdtz())
                .append("hcgywd", getHcgywd())
                .append("hcgylg", getHcgylg())
                .append("hcgyld", getHcgyld())
                .append("lysylgyj", getLysylgyj())
                .append("lysyldyj", getLysyldyj())
                .append("hswdcgyj", getHswdcgyj())
                .append("hswdgyj", getHswdgyj())
                .append("gswdcgtz", getGswdcgtz())
                .append("gswdgyj", getGswdgyj())
                .append("gswddyj", getGswddyj())
                .append("ddf2gz", getDdf2gz())
                .append("ddf1gz", getDdf1gz())
                .append("lyswdbsqyJ", getLyswdbsqyJ())
                .append("hsylbsqyJ", getHsylbsqyJ())
                .append("gsylbsqyJ", getGsylbsqyJ())
                .append("hswdbsqyJ", getHswdbsqyJ())
                .append("gswdbsqgztz", getGswdbsqgztz())
                .append("lsjgz", getLsjgz())
                .append("djrq2gz", getDjrq2gz())
                .append("djrq1gz", getDjrq1gz())
                .append("bqbgz", getBqbgz())
                .append("bsbgz", getBsbgz())
                .append("xhbgz", getXhbgz())
                .append("zdygz", getZdygz())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
